Skip to content

Create a workspace on a plan and invite its owner

POST
/api/v1/platform/tenants
curl --request POST \
--url https://example.com/api/v1/platform/tenants \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "slug": "example", "plan": "Starter", "ownerEmail": "example", "ownerLocale": "example" }'
Media typeapplication/json
object
name
required
string
slug
required
string
plan
required
One of:
null
ownerEmail
required
string
ownerLocale
required
string

Created

Media typeapplication/json
object
tenantId
required
string format: uuid
slug
required
string
name
required
string
plan
required
Allowed values: Starter Business Enterprise Trial
ownerEmail
required
string
ownerAccountExisted
required
boolean
Example
{
"plan": "Starter"
}

Bad Request

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
errors
object
key
additional properties
Array<string>
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example",
"errors": {
"additionalProperty": [
"example"
]
}
}

Forbidden

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Conflict

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Too Many Requests

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Service Unavailable

Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}